<?php

namespace App\Repository;

use App\Entity\News;
use Ramsey\Collection\Collection;

/**
 * @extends ServiceEntityRepository<News>
 *
 * @method News|null find($id, $lockMode = null, $lockVersion = null)
 */
interface NewsRepositoryInterface
{
    public function getMainNews(): News;
    public function getCountWithFilters(?string $categoryId): int;

    /** @return Collection<News> */
    public function findByFilters(?string $categoryId, int $limit, int $offset): Collection;
}
